features:
  secondary:
    - name: "Display Kubernetes namespace on the job page"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/pipelines.html'
      image_url: '/images/12_8/k8s_namespace.png'
      reporter: danielgruesso
      stage: configure
      categories:
        - "Kubernetes Management"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/31756'
      description: |
        When a CI/CD job deploys to a Kubernetes [environment](https://docs.gitlab.com/ee/ci/environments.html), the job detail page will now display the Kubernetes namespace used for that deployment. You can use the detail page to verify workloads are deployed to the correct destination.
